git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
* [PATCH 0/2] bisect: cleanup formatting of git-bisect.sh
@ 2011-08-05 11:31 Jon Seymour
  2011-08-05 11:31 ` [PATCH 1/2] bisect: cleanup whitespace errors in git-bisect.sh Jon Seymour
                   ` (2 more replies)
  0 siblings, 3 replies; 5+ messages in thread
From: Jon Seymour @ 2011-08-05 11:31 UTC (permalink / raw
  To: git; +Cc: gitster, Jon Seymour

This series is intended to be applied on top js/bisect-no-checkout.

The first patch ensures all leading whitespace is encoded with tabs, where possible.

The second patch replaces constructs of the form:

	if cond-statement; then
		then-statement
	fi

with:

	if cond-statement
	then
		then-statement
	fi	
	

Jon Seymour (2):
  bisect: cleanup whitespace errors in git-bisect.sh.
  bisect: replace "; then" with "\n<tab>*then"

 git-bisect.sh |  283 +++++++++++++++++++++++++++++----------------------------
 1 files changed, 146 insertions(+), 137 deletions(-)

-- 
1.7.6.354.g7f57d

^ permalink raw reply	[flat|nested] 5+ messages in thread

* [PATCH 1/2] bisect: cleanup whitespace errors in git-bisect.sh.
  2011-08-05 11:31 [PATCH 0/2] bisect: cleanup formatting of git-bisect.sh Jon Seymour
@ 2011-08-05 11:31 ` Jon Seymour
  2011-08-05 11:31 ` [PATCH 2/2] bisect: replace "; then" with "\n<tab>*then" Jon Seymour
  2011-08-05 17:09 ` [PATCH 0/2] bisect: cleanup formatting of git-bisect.sh Junio C Hamano
  2 siblings, 0 replies; 5+ messages in thread
From: Jon Seymour @ 2011-08-05 11:31 UTC (permalink / raw
  To: git; +Cc: gitster, Jon Seymour

All leading whitespace is now encoded with tabs.

After this patch, the following is true:

	RAW=$(cat git-bisect.sh | md5sum) &&
	ROUNDTRIP=$(cat git-bisect.sh | expand -i - | unexpand --first-only - | md5sum) &&
	LEADING=$(sed -n "/^  */p" < git-bisect.sh | wc -l) &&
	test $RAW = $ROUNDTRIP &&
	test $LEADING = 0 &&
	test -z "$(git diff -w HEAD~1 HEAD)"

Signed-off-by: Jon Seymour <jon.seymour@gmail.com>
---
 git-bisect.sh |  268 ++++++++++++++++++++++++++++----------------------------
 1 files changed, 134 insertions(+), 134 deletions(-)

diff --git a/git-bisect.sh b/git-bisect.sh
index b9c18dd..f5d9ede 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -2,27 +2,27 @@
 
 USAGE='[help|start|bad|good|skip|next|reset|visualize|replay|log|run]'
 LONG_USAGE='git bisect help
-        print this long help message.
+	print this long help message.
 git bisect start [--no-checkout] [<bad> [<good>...]] [--] [<pathspec>...]
-        reset bisect state and start bisection.
+	reset bisect state and start bisection.
 git bisect bad [<rev>]
-        mark <rev> a known-bad revision.
+	mark <rev> a known-bad revision.
 git bisect good [<rev>...]
-        mark <rev>... known-good revisions.
+	mark <rev>... known-good revisions.
 git bisect skip [(<rev>|<range>)...]
-        mark <rev>... untestable revisions.
+	mark <rev>... untestable revisions.
 git bisect next
-        find next bisection to test and check it out.
+	find next bisection to test and check it out.
 git bisect reset [<commit>]
-        finish bisection search and go back to commit.
+	finish bisection search and go back to commit.
 git bisect visualize
-        show bisect status in gitk.
+	show bisect status in gitk.
 git bisect replay <logfile>
-        replay bisection log.
+	replay bisection log.
 git bisect log
-        show bisect log.
+	show bisect log.
 git bisect run <cmd>...
-        use <cmd>... to automatically bisect.
+	use <cmd>... to automatically bisect.
 
 Please use "git help bisect" to get the full man page.'
 
@@ -55,7 +55,7 @@ bisect_autostart() {
 			# TRANSLATORS: Make sure to include [Y] and [n] in your
 			# translation. The program will only accept English input
 			# at this point.
-	    gettext "Do you want me to do it for you [Y/n]? " >&2
+			gettext "Do you want me to do it for you [Y/n]? " >&2
 			read yesno
 			case "$yesno" in
 			[Nn]*)
@@ -74,38 +74,38 @@ bisect_start() {
 	#
 	has_double_dash=0
 	for arg; do
-	    case "$arg" in --) has_double_dash=1; break ;; esac
+		case "$arg" in --) has_double_dash=1; break ;; esac
 	done
 	orig_args=$(git rev-parse --sq-quote "$@")
 	bad_seen=0
 	eval=''
 	mode=''
 	while [ $# -gt 0 ]; do
-	    arg="$1"
-	    case "$arg" in
-	    --)
-		shift
-		break
+		arg="$1"
+		case "$arg" in
+		--)
+			shift
+			break
 		;;
-	    --no-checkout)
-		mode=--no-checkout
-		shift ;;
-	    --*)
-		die "$(eval_gettext "unrecognised option: '\$arg'")" ;;
-	    *)
-		rev=$(git rev-parse -q --verify "$arg^{commit}") || {
-		    test $has_double_dash -eq 1 &&
+		--no-checkout)
+			mode=--no-checkout
+			shift ;;
+		--*)
+			die "$(eval_gettext "unrecognised option: '\$arg'")" ;;
+		*)
+			rev=$(git rev-parse -q --verify "$arg^{commit}") || {
+			    test $has_double_dash -eq 1 &&
 			die "$(eval_gettext "'\$arg' does not appear to be a valid revision")"
-		    break
-		}
-		case $bad_seen in
-		0) state='bad' ; bad_seen=1 ;;
-		*) state='good' ;;
+			    break
+			}
+			case $bad_seen in
+			0) state='bad' ; bad_seen=1 ;;
+			*) state='good' ;;
+			esac
+			eval="$eval bisect_write '$state' '$rev' 'nolog' &&"
+			shift
+			;;
 		esac
-		eval="$eval bisect_write '$state' '$rev' 'nolog' &&"
-		shift
-		;;
-	    esac
 	done
 
 	#
@@ -207,18 +207,18 @@ check_expected_revs() {
 }
 
 bisect_skip() {
-        all=''
+	all=''
 	for arg in "$@"
 	do
-	    case "$arg" in
-            *..*)
-		revs=$(git rev-list "$arg") || die "$(eval_gettext "Bad rev input: \$arg")" ;;
-            *)
-                revs=$(git rev-parse --sq-quote "$arg") ;;
-	    esac
-            all="$all $revs"
-        done
-        eval bisect_state 'skip' $all
+		case "$arg" in
+		*..*)
+			revs=$(git rev-list "$arg") || die "$(eval_gettext "Bad rev input: \$arg")" ;;
+		*)
+			revs=$(git rev-parse --sq-quote "$arg") ;;
+		esac
+		all="$all $revs"
+	done
+	eval bisect_state 'skip' $all
 }
 
 bisect_state() {
@@ -316,7 +316,7 @@ bisect_next() {
 	git bisect--helper --next-all $(test -f "$GIT_DIR/BISECT_HEAD" && echo --no-checkout)
 	res=$?
 
-        # Check if we should exit because bisection is finished
+	# Check if we should exit because bisection is finished
 	test $res -eq 10 && exit 0
 
 	# Check for an error in the bisection process
@@ -355,12 +355,12 @@ bisect_reset() {
 	case "$#" in
 	0) branch=$(cat "$GIT_DIR/BISECT_START") ;;
 	1) git rev-parse --quiet --verify "$1^{commit}" > /dev/null || {
-	       invalid="$1"
-	       die "$(eval_gettext "'\$invalid' is not a valid commit")"
-	   }
-	   branch="$1" ;;
+			invalid="$1"
+			die "$(eval_gettext "'\$invalid' is not a valid commit")"
+		}
+		branch="$1" ;;
 	*)
-	    usage ;;
+		usage ;;
 	esac
 	if ! test -f "$GIT_DIR/BISECT_HEAD"
 	then
@@ -418,65 +418,65 @@ bisect_replay () {
 }
 
 bisect_run () {
-    bisect_next_check fail
-
-    while true
-    do
-      command="$@"
-      eval_gettext "running \$command"; echo
-      "$@"
-      res=$?
-
-      # Check for really bad run error.
-      if [ $res -lt 0 -o $res -ge 128 ]; then
-	  (
-	    eval_gettext "bisect run failed:
+	bisect_next_check fail
+
+	while true
+	do
+		command="$@"
+		eval_gettext "running \$command"; echo
+		"$@"
+		res=$?
+
+		# Check for really bad run error.
+		if [ $res -lt 0 -o $res -ge 128 ]; then
+			(
+				eval_gettext "bisect run failed:
 exit code \$res from '\$command' is < 0 or >= 128" &&
-	    echo
-	  ) >&2
-	  exit $res
-      fi
-
-      # Find current state depending on run success or failure.
-      # A special exit code of 125 means cannot test.
-      if [ $res -eq 125 ]; then
-	  state='skip'
-      elif [ $res -gt 0 ]; then
-	  state='bad'
-      else
-	  state='good'
-      fi
-
-      # We have to use a subshell because "bisect_state" can exit.
-      ( bisect_state $state > "$GIT_DIR/BISECT_RUN" )
-      res=$?
-
-      cat "$GIT_DIR/BISECT_RUN"
-
-      if sane_grep "first bad commit could be any of" "$GIT_DIR/BISECT_RUN" \
-		> /dev/null; then
-	  (
-	      gettext "bisect run cannot continue any more" &&
-	      echo
-	  ) >&2
-	  exit $res
-      fi
-
-      if [ $res -ne 0 ]; then
-	  (
-	      eval_gettext "bisect run failed:
+				echo
+			) >&2
+			exit $res
+		fi
+
+		# Find current state depending on run success or failure.
+		# A special exit code of 125 means cannot test.
+		if [ $res -eq 125 ]; then
+			state='skip'
+		elif [ $res -gt 0 ]; then
+			state='bad'
+		else
+			state='good'
+		fi
+
+		# We have to use a subshell because "bisect_state" can exit.
+		( bisect_state $state > "$GIT_DIR/BISECT_RUN" )
+		res=$?
+
+		cat "$GIT_DIR/BISECT_RUN"
+
+		if sane_grep "first bad commit could be any of" "$GIT_DIR/BISECT_RUN" \
+			> /dev/null; then
+			(
+				gettext "bisect run cannot continue any more" &&
+				echo
+			) >&2
+			exit $res
+		fi
+
+		if [ $res -ne 0 ]; then
+			(
+				eval_gettext "bisect run failed:
 'bisect_state \$state' exited with error code \$res" &&
-	      echo
-	  ) >&2
-	  exit $res
-      fi
+				echo
+			) >&2
+			exit $res
+		fi
 
-      if sane_grep "is the first bad commit" "$GIT_DIR/BISECT_RUN" > /dev/null; then
-	  gettext "bisect run success"; echo
-	  exit 0;
-      fi
+		if sane_grep "is the first bad commit" "$GIT_DIR/BISECT_RUN" > /dev/null; then
+			gettext "bisect run success"; echo
+			exit 0;
+		fi
 
-    done
+	done
 }
 
 bisect_log () {
@@ -486,33 +486,33 @@ bisect_log () {
 
 case "$#" in
 0)
-    usage ;;
+	usage ;;
 *)
-    cmd="$1"
-    shift
-    case "$cmd" in
-    help)
-        git bisect -h ;;
-    start)
-        bisect_start "$@" ;;
-    bad|good)
-        bisect_state "$cmd" "$@" ;;
-    skip)
-        bisect_skip "$@" ;;
-    next)
-        # Not sure we want "next" at the UI level anymore.
-        bisect_next "$@" ;;
-    visualize|view)
-	bisect_visualize "$@" ;;
-    reset)
-        bisect_reset "$@" ;;
-    replay)
-	bisect_replay "$@" ;;
-    log)
-	bisect_log ;;
-    run)
-        bisect_run "$@" ;;
-    *)
-        usage ;;
-    esac
+	cmd="$1"
+	shift
+	case "$cmd" in
+	help)
+		git bisect -h ;;
+	start)
+		bisect_start "$@" ;;
+	bad|good)
+		bisect_state "$cmd" "$@" ;;
+	skip)
+		bisect_skip "$@" ;;
+	next)
+		# Not sure we want "next" at the UI level anymore.
+		bisect_next "$@" ;;
+	visualize|view)
+		bisect_visualize "$@" ;;
+	reset)
+		bisect_reset "$@" ;;
+	replay)
+		bisect_replay "$@" ;;
+	log)
+		bisect_log ;;
+	run)
+		bisect_run "$@" ;;
+	*)
+		usage ;;
+	esac
 esac
-- 
1.7.6.354.g7f57d

^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [PATCH 2/2] bisect: replace "; then" with "\n<tab>*then"
  2011-08-05 11:31 [PATCH 0/2] bisect: cleanup formatting of git-bisect.sh Jon Seymour
  2011-08-05 11:31 ` [PATCH 1/2] bisect: cleanup whitespace errors in git-bisect.sh Jon Seymour
@ 2011-08-05 11:31 ` Jon Seymour
  2011-08-05 17:09 ` [PATCH 0/2] bisect: cleanup formatting of git-bisect.sh Junio C Hamano
  2 siblings, 0 replies; 5+ messages in thread
From: Jon Seymour @ 2011-08-05 11:31 UTC (permalink / raw
  To: git; +Cc: gitster, Jon Seymour

Signed-off-by: Jon Seymour <jon.seymour@gmail.com>
---
 git-bisect.sh |   27 ++++++++++++++++++---------
 1 files changed, 18 insertions(+), 9 deletions(-)

diff --git a/git-bisect.sh b/git-bisect.sh
index f5d9ede..1f3c46d 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -198,7 +198,8 @@ is_expected_rev() {
 
 check_expected_revs() {
 	for _rev in "$@"; do
-		if ! is_expected_rev "$_rev"; then
+		if ! is_expected_rev "$_rev"
+		then
 			rm -f "$GIT_DIR/BISECT_ANCESTORS_OK"
 			rm -f "$GIT_DIR/BISECT_EXPECTED_REV"
 			return
@@ -331,7 +332,8 @@ bisect_visualize() {
 	if test $# = 0
 	then
 		if test -n "${DISPLAY+set}${SESSIONNAME+set}${MSYSTEM+set}${SECURITYSESSIONID+set}" &&
-		   type gitk >/dev/null 2>&1; then
+		   type gitk >/dev/null 2>&1
+		then
 			set gitk
 		else
 			set git log
@@ -400,7 +402,8 @@ bisect_replay () {
 	while read git bisect command rev
 	do
 		test "$git $bisect" = "git bisect" -o "$git" = "git-bisect" || continue
-		if test "$git" = "git-bisect"; then
+		if test "$git" = "git-bisect"
+		then
 			rev="$command"
 			command="$bisect"
 		fi
@@ -428,7 +431,8 @@ bisect_run () {
 		res=$?
 
 		# Check for really bad run error.
-		if [ $res -lt 0 -o $res -ge 128 ]; then
+		if [ $res -lt 0 -o $res -ge 128 ]
+		then
 			(
 				eval_gettext "bisect run failed:
 exit code \$res from '\$command' is < 0 or >= 128" &&
@@ -439,9 +443,11 @@ exit code \$res from '\$command' is < 0 or >= 128" &&
 
 		# Find current state depending on run success or failure.
 		# A special exit code of 125 means cannot test.
-		if [ $res -eq 125 ]; then
+		if [ $res -eq 125 ]
+		then
 			state='skip'
-		elif [ $res -gt 0 ]; then
+		elif [ $res -gt 0 ]
+		then
 			state='bad'
 		else
 			state='good'
@@ -454,7 +460,8 @@ exit code \$res from '\$command' is < 0 or >= 128" &&
 		cat "$GIT_DIR/BISECT_RUN"
 
 		if sane_grep "first bad commit could be any of" "$GIT_DIR/BISECT_RUN" \
-			> /dev/null; then
+			> /dev/null
+		then
 			(
 				gettext "bisect run cannot continue any more" &&
 				echo
@@ -462,7 +469,8 @@ exit code \$res from '\$command' is < 0 or >= 128" &&
 			exit $res
 		fi
 
-		if [ $res -ne 0 ]; then
+		if [ $res -ne 0 ]
+		then
 			(
 				eval_gettext "bisect run failed:
 'bisect_state \$state' exited with error code \$res" &&
@@ -471,7 +479,8 @@ exit code \$res from '\$command' is < 0 or >= 128" &&
 			exit $res
 		fi
 
-		if sane_grep "is the first bad commit" "$GIT_DIR/BISECT_RUN" > /dev/null; then
+		if sane_grep "is the first bad commit" "$GIT_DIR/BISECT_RUN" > /dev/null
+		then
 			gettext "bisect run success"; echo
 			exit 0;
 		fi
-- 
1.7.6.354.g7f57d

^ permalink raw reply related	[flat|nested] 5+ messages in thread

* Re: [PATCH 0/2] bisect: cleanup formatting of git-bisect.sh
  2011-08-05 11:31 [PATCH 0/2] bisect: cleanup formatting of git-bisect.sh Jon Seymour
  2011-08-05 11:31 ` [PATCH 1/2] bisect: cleanup whitespace errors in git-bisect.sh Jon Seymour
  2011-08-05 11:31 ` [PATCH 2/2] bisect: replace "; then" with "\n<tab>*then" Jon Seymour
@ 2011-08-05 17:09 ` Junio C Hamano
  2011-08-06  3:40   ` Jon Seymour
  2 siblings, 1 reply; 5+ messages in thread
From: Junio C Hamano @ 2011-08-05 17:09 UTC (permalink / raw
  To: Jon Seymour; +Cc: git, gitster

Jon Seymour <jon.seymour@gmail.com> writes:

> This series is intended to be applied on top js/bisect-no-checkout.

Thanks; I wonder if we want to go a bit further.

-- >8 --
Subject: bisect: further style nitpicks

Fix a few remaining lines that indented with spaces.

Also simplify the logic of checking out the original branch and reporting
error during "bisect reset".

Signed-off-by: Junio C Hamano <gitster@pobox.com>
---
 git-bisect.sh |   18 ++++++++----------
 1 files changed, 8 insertions(+), 10 deletions(-)

diff --git a/git-bisect.sh b/git-bisect.sh
index 1f3c46d..22c4da5 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -94,9 +94,9 @@ bisect_start() {
 			die "$(eval_gettext "unrecognised option: '\$arg'")" ;;
 		*)
 			rev=$(git rev-parse -q --verify "$arg^{commit}") || {
-			    test $has_double_dash -eq 1 &&
-			die "$(eval_gettext "'\$arg' does not appear to be a valid revision")"
-			    break
+				test $has_double_dash -eq 1 &&
+				die "$(eval_gettext "'\$arg' does not appear to be a valid revision")"
+				break
 			}
 			case $bad_seen in
 			0) state='bad' ; bad_seen=1 ;;
@@ -125,7 +125,7 @@ bisect_start() {
 		start_head=$(cat "$GIT_DIR/BISECT_START")
 		if test "z$mode" != "z--no-checkout"
 		then
-		    git checkout "$start_head" --
+			git checkout "$start_head" --
 		fi
 	else
 		# Get rev from where we start.
@@ -332,7 +332,7 @@ bisect_visualize() {
 	if test $# = 0
 	then
 		if test -n "${DISPLAY+set}${SESSIONNAME+set}${MSYSTEM+set}${SECURITYSESSIONID+set}" &&
-		   type gitk >/dev/null 2>&1
+			type gitk >/dev/null 2>&1
 		then
 			set gitk
 		else
@@ -364,13 +364,11 @@ bisect_reset() {
 	*)
 		usage ;;
 	esac
-	if ! test -f "$GIT_DIR/BISECT_HEAD"
+
+	if ! test -f "$GIT_DIR/BISECT_HEAD" && ! git checkout "$branch" --
 	then
-		if ! git checkout "$branch" --
-		then
-			die "$(eval_gettext "Could not check out original HEAD '\$branch'.
+		die "$(eval_gettext "Could not check out original HEAD '\$branch'.
 Try 'git bisect reset <commit>'.")"
-		fi
 	fi
 	bisect_clean_state
 }

^ permalink raw reply related	[flat|nested] 5+ messages in thread

* Re: [PATCH 0/2] bisect: cleanup formatting of git-bisect.sh
  2011-08-05 17:09 ` [PATCH 0/2] bisect: cleanup formatting of git-bisect.sh Junio C Hamano
@ 2011-08-06  3:40   ` Jon Seymour
  0 siblings, 0 replies; 5+ messages in thread
From: Jon Seymour @ 2011-08-06  3:40 UTC (permalink / raw
  To: Junio C Hamano; +Cc: git

On Sat, Aug 6, 2011 at 3:09 AM, Junio C Hamano <gitster@pobox.com> wrote:
> Jon Seymour <jon.seymour@gmail.com> writes:
>
>> This series is intended to be applied on top js/bisect-no-checkout.
>
> Thanks; I wonder if we want to go a bit further.
>
> -- >8 --
> Subject: bisect: further style nitpicks
>
> Fix a few remaining lines that indented with spaces.
>
> Also simplify the logic of checking out the original branch and reporting
> error during "bisect reset".
>
> Signed-off-by: Junio C Hamano <gitster@pobox.com>
> ---
>  git-bisect.sh |   18 ++++++++----------
>  1 files changed, 8 insertions(+), 10 deletions(-)
>
> diff --git a/git-bisect.sh b/git-bisect.sh
> index 1f3c46d..22c4da5 100755
> --- a/git-bisect.sh
> +++ b/git-bisect.sh
> @@ -94,9 +94,9 @@ bisect_start() {
>                        die "$(eval_gettext "unrecognised option: '\$arg'")" ;;
>                *)
>                        rev=$(git rev-parse -q --verify "$arg^{commit}") || {
> -                           test $has_double_dash -eq 1 &&
> -                       die "$(eval_gettext "'\$arg' does not appear to be a valid revision")"
> -                           break
> +                               test $has_double_dash -eq 1 &&
> +                               die "$(eval_gettext "'\$arg' does not appear to be a valid revision")"
> +                               break
>                        }
>                        case $bad_seen in
>                        0) state='bad' ; bad_seen=1 ;;
> @@ -125,7 +125,7 @@ bisect_start() {
>                start_head=$(cat "$GIT_DIR/BISECT_START")
>                if test "z$mode" != "z--no-checkout"
>                then
> -                   git checkout "$start_head" --
> +                       git checkout "$start_head" --
>                fi
>        else
>                # Get rev from where we start.
> @@ -332,7 +332,7 @@ bisect_visualize() {
>        if test $# = 0
>        then
>                if test -n "${DISPLAY+set}${SESSIONNAME+set}${MSYSTEM+set}${SECURITYSESSIONID+set}" &&
> -                  type gitk >/dev/null 2>&1
> +                       type gitk >/dev/null 2>&1
>                then
>                        set gitk
>                else
> @@ -364,13 +364,11 @@ bisect_reset() {
>        *)
>                usage ;;
>        esac
> -       if ! test -f "$GIT_DIR/BISECT_HEAD"
> +
> +       if ! test -f "$GIT_DIR/BISECT_HEAD" && ! git checkout "$branch" --
>        then
> -               if ! git checkout "$branch" --
> -               then
> -                       die "$(eval_gettext "Could not check out original HEAD '\$branch'.
> +               die "$(eval_gettext "Could not check out original HEAD '\$branch'.
>  Try 'git bisect reset <commit>'.")"
> -               fi
>        fi
>        bisect_clean_state
>  }
>

Looks good, thanks.

jon.

^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2011-08-06  3:40 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-08-05 11:31 [PATCH 0/2] bisect: cleanup formatting of git-bisect.sh Jon Seymour
2011-08-05 11:31 ` [PATCH 1/2] bisect: cleanup whitespace errors in git-bisect.sh Jon Seymour
2011-08-05 11:31 ` [PATCH 2/2] bisect: replace "; then" with "\n<tab>*then" Jon Seymour
2011-08-05 17:09 ` [PATCH 0/2] bisect: cleanup formatting of git-bisect.sh Junio C Hamano
2011-08-06  3:40   ` Jon Seymour

Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).